# Interface TypeValueEnum

An enum type's value (see [[TypeValue]])

#### Category

Special container types (debugger-only)

#### Hierarchy

- TypeValueEnum

- Defined in codec/lib/format/values.ts:420

#####
Index

### Properties

interpretations
kind
type
value

## Properties

### interpretations

interpretations: {}

#### Type declaration

- Defined in codec/lib/format/values.ts:427

### kind

kind: "value"

- Defined in codec/lib/format/values.ts:422

### type

type: TypeTypeEnum

- Defined in codec/lib/format/values.ts:421

### value

value: EnumValue[]

these must be stored in order!

- Defined in codec/lib/format/values.ts:426

Generated using TypeDoc